## heat 8.0.6

=== debian/changelog ===
heat (1:8.0.6-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version
  * Fix debian/control to match requirements
  [ Thomas Goirand ]
  * Fixed heat.conf generation.
  * Moved heat-api endpoint configuration to the heat-api package.
  * Also add logic to register heat-api-cfn using debconf.
  * Remove pkgos_register_endpoint_config from heat-common
  * Add fix-manifest.patch.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 18 Dec 2017 12:55:34 +0100

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 54~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit (>= 1.1.0),
                     git,
                     python-aodhclient (>= 0.7.0),
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage (>= 4.0),
                     python-croniter,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.5.0),
                     python-greenlet,
                     python-hacking,
                     python-heatclient (>= 1.6.1),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-kombu (>= 3.0.25),
                     python-lxml,
                     python-magnumclient (>= 2.0.0),
                     python-manilaclient (>= 1.12.0),
                     python-migrate (>= 0.9.6),
                     python-mistralclient (>= 2.0.0),
                     python-mock (>= 2.0),
                     python-monascaclient (>= 1.1.0),
                     python-mox3,
                     python-mysqldb,
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:6.0.0),
                     python-openstackclient (>= 3.3.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref,
                     python-os-collect-config,
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-qpid,
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-pastedeploy,
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.7.6),
                     python-requests (>= 2.10.0),
                     python-tenacity,
                     python-routes,
                     python-saharaclient (>= 1.1.0),
                     python-senlinclient (>= 1.1.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-swiftclient (>= 3.2.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tempest (>= 1:12.1.0),
                     python-gabbi (>= 1.26.1),
                     python-troveclient (>= 1:2.2.0),
                     python-tz,
                     python-webob,
                     python-yaml,
                     python-yaql (>= 1.1.0),
                     python-zaqarclient (>= 1.0.0),
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/services/heat.git
Vcs-Git: https://anonscm.debian.org/git/openstack/services/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: python-heat
Section: python
Architecture: all
Depends: python-aodhclient (>= 0.7.0),
         python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1:1.6.0),
         python-croniter,
         python-crypto,
         python-cryptography (>= 1.0),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-glanceclient (>= 1:2.5.0),
         python-greenlet,
         python-heatclient (>= 1.6.1),
         python-keystoneauth1 (>= 2.18.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.12.0),
         python-lxml,
         python-magnumclient (>= 2.0.0),
         python-manilaclient (>= 1.12.0),
         python-memcache,
         python-migrate (>= 0.9.6),
         python-mistralclient (>= 2.0.0),
         python-monascaclient (>= 1.1.0),
         python-mysqldb,
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:6.0.0),
         python-openstackclient (>= 3.3.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.15.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-osprofiler (>= 1.4.0),
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psycopg2 (>= 2.5),
         python-pymysql (>= 0.7.6),
         python-requests (>= 2.10.0),
         python-tenacity,
         python-routes,
         python-saharaclient (>= 1.1.0),
         python-senlinclient (>= 1.1.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-swiftclient (>= 3.2.0),
         python-troveclient (>= 1:2.2.0),
         python-tz,
         python-webob,
         python-yaml,
         python-yaql (>= 1.1.0),
         python-zaqarclient (>= 1.0.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-heat (=${binary:Version}),
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

Package: heat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init
	set -e ; set -x ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) testr run --subunit --parallel 'heat.tests.*' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info .testrepository
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -f \
		debian/heat-common.postinst \
		debian/heat-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -f AUTHORS
	rm -f ChangeLog

override_dh_auto_install:
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/heat-common/usr/share/heat-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--namespace heat.common.config \
                --namespace heat.common.context \
		--namespace heat.common.crypt \
		--namespace heat.engine.clients.keystone.heat_keystoneclient \
		--namespace heat.common.wsgi \
		--namespace heat.engine.clients \
		--namespace heat.engine.notification \
		--namespace heat.engine.resources \
                --namespace heat.api.middleware.ssl \
		--namespace heat.api.aws.ec2token \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.messaging \
                --namespace oslo.middleware \
		--namespace oslo.db \
		--namespace oslo.log \
                --namespace oslo.policy \
                --namespace oslo.service.service \
                --namespace oslo.service.periodic_task \
                --namespace oslo.service.sslutil \
		--wrap-width 140 \
		--output-file $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf

	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	sed -i 's|^[# \t]*auth_protocol[\t #]*=.*|auth_protocol = http|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf


override_dh_install:
	dh_install -Xbin/cinder-keystone-setup
	# Some files are missing, fix that...
	cp -axuf heat/db/sqlalchemy/migrate_repo/* $(CURDIR)/debian/python-heat/usr/lib/python2.7/dist-packages/heat/db/sqlalchemy/migrate_repo
	cp -r heat/cloudinit/* $(CURDIR)/debian/python-heat/usr/lib/python2.7/dist-packages/heat/cloudinit/

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/heat-doc/usr/share/doc/heat-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_missing:
	dh_missing --fail-missing

## heat 8.0.7

=== debian/changelog ===
heat (1:8.0.7-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1795428).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Oct 2018 21:12:14 -0400

heat (1:8.0.6-0ubuntu1~cloud1) xenial-ocata; urgency=medium

  * Fixing heat error with unicode (LP: #1761629)
    - d/p/0001-Fixing-unicode-issue-when-to_dict-is-called-on-py2.7.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Tue, 24 Apr 2018 00:10:44 -0700

heat (1:8.0.6-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1747066).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Feb 2018 15:35:42 -0500

heat (1:8.0.5-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 04 Dec 2017 22:40:23 +0000

## heat 9.0.0

=== debian/changelog ===
heat (1:9.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:22:39 -0400

heat (1:9.0.0~rc1-0ubuntu2) artful; urgency=medium

  * d/control: Move python-zunclient to Suggests as we don't package
    OpenStack Zun at the moment.
  * d/pydist-overrides: Ensure zunclient isn't added to Depends by dh_python2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 11:33:41 -0400

heat (1:9.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 16:06:30 -0400

heat (1:9.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:32 -0400

heat (1:9.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Aug 2017 10:17:26 -0400

heat (1:9.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Add (Build-)Depend on python-zunclient.
  * d/*: wrap-and-sort.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 16:31:55 +0100

heat (1:9.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:04:45 +0100

heat (1:9.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/heat-common.postinst: Make sure that /etc/heat has restricted
    permissions (LP: #1675088).

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Apr 2017 16:49:26 +0100

## heat 9.0.4

=== debian/changelog ===
heat (1:9.0.4-0ubuntu2) artful; urgency=medium

  * Fixing heat error with unicode (LP: #1761629)
    - d/p/0001-Fixing-unicode-issue-when-to_dict-is-called-on-py2.7.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Mon, 23 Apr 2018 22:23:06 -0700

heat (1:9.0.4-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1763320).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 May 2018 09:40:26 -0400

heat (1:9.0.3-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1758046).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:43:14 -0400

heat (1:9.0.2-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1747065).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Feb 2018 15:15:15 -0500

heat (1:9.0.1-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1734990).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Nov 2017 14:53:42 -0500

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
Build-Depends-Indep: bandit,
                     python-aodhclient (>= 0.7.0),
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1:3.1.0),
                     python-coverage (>= 4.0),
                     python-croniter (>= 0.3.4),
                     python-crypto,
                     python-crypto (>= 2.6),
                     python-cryptography (>= 1.6),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-gabbi (>= 1.35.0),
                     python-glanceclient (>= 1:2.8.0),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.6.1),
                     python-keystoneauth1 (>= 3.1.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-kombu (>= 3.0.25),
                     python-lxml (>= 2.3),
                     python-magnumclient (>= 2.0.0),
                     python-manilaclient (>= 1.12.0),
                     python-migrate (>= 0.11.0),
                     python-mistralclient (>= 1:3.1.0),
                     python-mock (>= 2.0),
                     python-monascaclient (>= 1.7.0),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:6.3.0),
                     python-novaclient (>= 2:9.0.0),
                     python-openstackclient (>= 3.3.0),
                     python-openstacksdk (>= 0.9.17),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-api-ref (>= 1.0.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 2.14.0),
                     python-oslo.db (>= 4.24.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.25.0),
                     python-oslo.middleware (>= 3.27.0),
                     python-oslo.policy (>= 1.23.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-pastedeploy (>= 1.5.0),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-pymysql (>= 0.7.6),
                     python-requests (>= 2.14.2),
                     python-routes (>= 2.3.1),
                     python-saharaclient (>= 1.1.0),
                     python-senlinclient (>= 1.1.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.20.0),
                     python-swiftclient (>= 1:3.2.0),
                     python-tempest (>= 1:16.1.0),
                     python-tenacity (>= 3.2.1),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1:2.2.0),
                     python-tz (>= 2013.6),
                     python-webob (>= 1.7.1),
                     python-yaml (>= 3.10.0),
                     python-yaql (>= 1.1.0),
                     python-zaqarclient (>= 1.0.0),
                     python-zunclient (>= 0.1.0),
                     subunit,
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
Homepage: http://wiki.openstack.org/Heat
XS-Testsuite: autopkgtest

Package: python-heat
Section: python
Architecture: all
Depends: python-aodhclient (>= 0.7.0),
         python-babel,
         python-barbicanclient (>= 4.0.0),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1:3.1.0),
         python-croniter,
         python-crypto,
         python-crypto (>= 2.6),
         python-cryptography (>= 1.6),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.2),
         python-fixtures (>= 3.0.0),
         python-glanceclient (>= 1:2.8.0),
         python-greenlet,
         python-heatclient (>= 1.6.1),
         python-keystoneauth1 (>= 3.1.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.2.0),
         python-lxml,
         python-magnumclient (>= 2.0.0),
         python-manilaclient (>= 1.10.0),
         python-migrate (>= 0.11.0),
         python-mistralclient (>= 1:3.1.0),
         python-monascaclient (>= 1.7.0),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:6.3.0),
         python-novaclient (>= 2:9.0.0),
         python-openstackclient (>= 3.3.0),
         python-openstacksdk (>= 0.9.17),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 2.14.0),
         python-oslo.db (>= 4.24.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.25.0),
         python-oslo.middleware (>= 3.27.0),
         python-oslo.policy (>= 1.23.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-osprofiler (>= 1.4.0),
         python-pastedeploy,
         python-pymysql,
         python-requests (>= 2.14.2),
         python-routes (>= 2.3.1),
         python-saharaclient (>= 0.18.0),
         python-senlinclient (>= 0.3.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.20.0),
         python-swiftclient (>= 1:3.2.0),
         python-tenacity (>= 3.2.1),
         python-troveclient (>= 2.2.0),
         python-tz (>= 2013.6),
         python-webob (>= 1.7.1),
         python-yaml,
         python-yaql (>= 1.1.0),
         python-zaqarclient (>= 1.0.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-zunclient (>= 0.1.0),
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

Package: heat-common
Architecture: all
Depends: adduser,
         python-heat (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: heat-api
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-api-cloudwatch
Architecture: all
Depends: adduser,
         heat-common (=${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack orchestration service - CloudWatch API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudWatch API.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils  --with python2,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	ostestr 'heat.tests.*'
endif

override_dh_clean:
	dh_clean
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -rf pbr*.egg
	rm -f etc/heat/heat.conf
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_clean:
	dh_auto_clean

override_dh_install:
	PYTHONPATH=. oslo-config-generator --config-file=config-generator.conf
	cp etc/heat/heat.conf.sample etc/heat/heat.conf
	dh_install

#override_dh_installman:
#	python setup.py build
#	make -C doc man
#	dh_installman

## heat 9.0.5

=== debian/changelog ===
heat (1:9.0.5-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1795427).
    - d/p/0001-Fixing-unicode-issue-when-to_dict-is-called-on-py2.7.patch:
      Dropped. Fixed in new stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Oct 2018 14:44:01 -0400

heat (1:9.0.4-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 14 Jun 2018 22:55:00 +0000

## heat 10.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
netaddr>=0.7.18 # BSD
openstacksdk>=0.9.19 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
aodhclient>=0.9.0 # Apache-2.0
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-magnumclient>=2.1.0 # Apache-2.0
python-manilaclient>=1.16.0 # Apache-2.0
python-mistralclient>=3.1.0 # Apache-2.0
python-monascaclient>=1.7.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-octaviaclient>=1.3.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
python-saharaclient>=1.4.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
python-zunclient>=1.0.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.10 # MIT
requests>=2.14.2 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT
yaql>=1.1.3 # Apache 2.0 License

=== contrib/heat_docker/requirements.txt ===
docker-py>=0.2.2

=== debian/changelog ===
heat (1:10.0.0-0ubuntu1.1) bionic; urgency=medium

  * d/tests/heat-daemons, d/tests/control: Drop heat-api-cloudwatch from
    tests to align with earlier removal of heat-api-cloudwatch binary
    package.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Mar 2018 14:19:59 -0400

heat (1:10.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 14:20:37 -0500

heat (1:10.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Feb 2018 16:24:02 -0500

heat (1:10.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/heat-common.install: Drop install of policy.json.
  * d/control: Add python-octaviaclient to (Build-)Depends.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.
  * d/control,rules: Switch to using stestr for unit test execution.
  * d/control,heat-api-cloudwatch.*: Drop heat-api-cloudwatch package,
    no longer provided by upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Feb 2018 11:51:50 +0000

heat (1:10.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 10.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/rules: Write heat.conf directly using oslo-config-generator.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/fixup-assert-regex.patch: Drop, no longer needed.
  * d/rules: Tidy unit test execution, scope inline with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Dec 2017 11:55:33 +0000

heat (1:10.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Nov 2017 10:58:14 +0000

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.5.1),
Build-Depends-Indep:
 bandit,
 python-aodhclient (>= 0.7.0),
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.1.0),
 python-coverage (>= 4.0),
 python-croniter (>= 0.3.4),
 python-cryptography (>= 1.9),
 python-debtcollector (>= 1.2.0),
 python-designateclient (>= 1.5.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-gabbi (>= 1.35.0),
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1),
 python-greenlet (>= 0.4.10),
 python-hacking (>= 0.10.0),
 python-heatclient (>= 1.6.1),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-kombu (>= 3.0.25),
 python-lxml (>= 2.3),
 python-magnumclient (>= 2.0.0),
 python-manilaclient (>= 1.12.0),
 python-migrate (>= 0.11.0),
 python-mistralclient (>= 1:3.1.0),
 python-mock (>= 2.0.0),
 python-monascaclient (>= 1.7.0),
 python-mox3 (>= 0.7.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.0.0),
 python-octaviaclient (>= 1.3.0),
 python-openstackclient (>= 3.3.0),
 python-openstackdocstheme (>= 1.18.1),
 python-openstacksdk (>= 0.9.17),
 python-os-api-ref (>= 1.0.0),
 python-os-testr (>= 1.0.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 0.6.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-oslotest (>= 1.10.0),
 python-osprofiler (>= 1.4.0),
 python-paramiko (>= 2.0),
 python-pastedeploy (>= 1.5.0),
 python-psycopg2 (>= 2.5),
 python-pymysql,
 python-pymysql (>= 0.7.6),
 python-requests (>= 2.14.2),
 python-routes (>= 2.3.1),
 python-saharaclient (>= 1.1.0),
 python-senlinclient (>= 1.1.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-tempest (>= 1:16.1.0),
 python-tenacity (>= 3.2.1),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-troveclient (>= 1:2.2.0),
 python-tz (>= 2013.6),
 python-webob (>= 1:1.7.1),
 python-yaml (>= 3.10.0),
 python-yaql (>= 1.1.0),
 python-zaqarclient (>= 1.0.0),
 python-zunclient (>= 0.1.0),
 subunit,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
Homepage: http://wiki.openstack.org/Heat
XS-Testsuite: autopkgtest

Package: heat-api
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-common
Architecture: all
Depends:
 adduser,
 python-heat (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python-heat
Section: python
Architecture: all
Depends:
 python-aodhclient (>= 0.7.0),
 python-babel,
 python-barbicanclient (>= 4.0.0),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.1.0),
 python-croniter,
 python-cryptography (>= 1.9),
 python-debtcollector (>= 1.2.0),
 python-designateclient (>= 1.5.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-glanceclient (>= 1:2.8.0),
 python-gnocchiclient (>= 3.3.1),
 python-greenlet (>= 0.4.10),
 python-heatclient (>= 1.6.1),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml,
 python-magnumclient (>= 2.0.0),
 python-manilaclient (>= 1.10.0),
 python-migrate (>= 0.11.0),
 python-mistralclient (>= 1:3.1.0),
 python-monascaclient (>= 1.7.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.0.0),
 python-octaviaclient (>= 1.3.0),
 python-openstackclient (>= 3.3.0),
 python-openstacksdk (>= 0.9.17),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 0.6.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-osprofiler (>= 1.4.0),
 python-pastedeploy,
 python-pymysql,
 python-requests (>= 2.14.2),
 python-routes (>= 2.3.1),
 python-saharaclient (>= 0.18.0),
 python-senlinclient (>= 0.3.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-tenacity (>= 3.2.1),
 python-troveclient (>= 2.2.0),
 python-tz (>= 2013.6),
 python-webob (>= 1:1.7.1),
 python-yaml,
 python-yaql (>= 1.1.0),
 python-zaqarclient (>= 1.0.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-zunclient (>= 0.1.0),
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	ostestr 'heat.tests.*'
+	stestr run '^(?!heat_integrationtests)'
 endif
 
 override_dh_clean:
@@ -25,8 +25,8 @@
 	dh_auto_clean
 
 override_dh_install:
-	PYTHONPATH=. oslo-config-generator --config-file=config-generator.conf
-	cp etc/heat/heat.conf.sample etc/heat/heat.conf
+	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=config-generator.conf \
+		--output-file etc/heat/heat.conf
 	dh_install
 
 #override_dh_installman:

=== debian/tests/control ===
Tests: python-heat heat-daemons
Depends: python-heat, heat-engine, heat-api, heat-api-cfn
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/heat heat-(10\.\d.*)\.tar\.gz

## heat 10.0.2

=== requirements.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 python-keystoneclient>=3.8.0 # Apache-2.0
 python-magnumclient>=2.1.0 # Apache-2.0
 python-manilaclient>=1.16.0 # Apache-2.0
-python-mistralclient>=3.1.0 # Apache-2.0
+python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
 python-monascaclient>=1.7.0 # Apache-2.0
 python-neutronclient>=6.3.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0

=== debian/changelog ===
heat (1:10.0.2-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1795424).
    - d/p/0001-Fixing-unicode-issue-when-to_dict-is-called-on-py2.7.patch:
      Dropped. Included in upstream stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Oct 2018 11:36:52 -0400

heat (1:10.0.1-0ubuntu2) bionic; urgency=medium

  * Fixing heat error with unicode (LP: #1761629)
    - d/p/0001-Fixing-unicode-issue-when-to_dict-is-called-on-py2.7.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Tue, 24 Apr 2018 00:26:21 -0700

heat (1:10.0.1-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Create stable/queens branch.
  * New stable point release for OpenStack Queens (LP: #1771572).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 May 2018 16:27:07 -0400
